# getOrderShipments - Get the prepared and to prepare shipments for an order.

Get the prepared and to prepare shipments for an order.

Endpoint: GET /orders/{orderId}/shipments

## Path parameters:

  - `orderId` (string, required)
    The identifier of the order.

## Query parameters:

  - `c_orderToken` (string, required)
    The order token.

  - `locale` (string)
    The user locale.

  - `siteId` (string)
    The identifier of the site.

## Response 200 fields (application/json):

  - `shipments` (array, required)

  - `shipments.id` (string, required)
    The identifier of the shipment.
    Example: "019-00000302-A"

  - `shipments.prepared` (array)

  - `shipments.prepared.shipmentLines` (array, required)

  - `shipments.prepared.shipmentLines.orderLineId` (string)
    The identifier of the order line.
    Example: "019-00000302-A-1"

  - `shipments.prepared.shipmentLines.packageReference` (string)
    The reference of the package.
    Example: "123456"

  - `shipments.prepared.shipmentLines.quantity` (integer, required)
    The quantity of the product in the shipment line.
    Example: 1

  - `shipments.prepared.status` (string, required)
    The status of the shipment.
    Example: "PREPARED"

  - `shipments.prepared.tracking` (object)

  - `shipments.prepared.tracking.carrierCode` (string)
    The carrier code of the shipment.
    Example: "UPS"

  - `shipments.prepared.tracking.carrierName` (string)
    The carrier name of the shipment.
    Example: "UPS"

  - `shipments.prepared.tracking.lastKnownLocation` (string)
    The last known location of the shipment.
    Example: "New York, NY"

  - `shipments.prepared.tracking.number` (string)
    The tracking number of the shipment.
    Example: "1Z999AA10123456784"

  - `shipments.prepared.tracking.url` (string)
    The tracking URL of the shipment.
    Example: "https://www.ups.com/track?tracknum=1Z999AA10123456784"

  - `shipments.toPrepare` (array)

  - `shipments.toPrepare.shipmentLines` (array, required)

  - `shipments.toPrepare.shipmentLines.orderLineId` (string)
    The identifier of the order line.
    Example: "019-00000302-A-1"

  - `shipments.toPrepare.shipmentLines.packageReference` (string)
    The reference of the package.
    Example: "123456"

  - `shipments.toPrepare.shipmentLines.quantity` (integer, required)
    The quantity of the product in the shipment line.
    Example: 1

## Response 404 fields (application/json):

  - `detail` (string)
    Error detail.
    Example: "The request could not be understood by the server due to malformed syntax."

  - `title` (string)
    Error title.
    Example: "Bad Request"

  - `type` (string)
    Error type.
    Example: "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request"

## Response 500 fields (application/json):

  - `detail` (string)
    Error detail.
    Example: "The request could not be understood by the server due to malformed syntax."

  - `title` (string)
    Error title.
    Example: "Bad Request"

  - `type` (string)
    Error type.
    Example: "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request"


